Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_DLList Class Template Reference

A double-linked list container class. More...

`#include <Containers_T.h>`

Inheritance diagram for ACE_DLList

[legend]
Collaboration diagram for ACE_DLList:

[legend]
List of all members.

## Public Methods
void | operator= (const ACE_DLList<T> &l)
| Delegates to ACE_Double_Linked_List.
T* | insert_tail (T *new_item)
| Delegates to ACE_Double_Linked_List.
T* | insert_head (T *new_item)
| Delegates to ACE_Double_Linked_List.
T* | delete_head (void)
| Delegates to ACE_Double_Linked_List.
T* | delete_tail (void)
| Delegates to ACE_Double_Linked_List.
int | get (T *&item, size_t slot = 0)
void | dump (void) const
| Delegates to ACE_Double_Linked_List.
int | remove (ACE_DLList_Node *n)
| Delegates to ACE_Double_Linked_List.
| ACE_DLList (ACE_Allocator *alloc = 0)
| Delegates to ACE_Double_Linked_List.
| ACE_DLList (const ACE_DLList<T> &l)
| Delegates to ACE_Double_Linked_List.
| ~ACE_DLList (void)
| Deletes the list starting from the head.
## Friends
class | ACE_DLList_Node
class | ACE_Double_Linked_List_Iterator< T >
class | ACE_DLList_Iterator< T >
class | ACE_DLList_Reverse_Iterator< T >

## Detailed Description

### template<class T> template class ACE_DLList

A double-linked list container class.

This implementation uses ACE_Double_Linked_List to perform the logic behind this container class. It delegates all of its calls to ACE_Double_Linked_List.

## Constructor & Destructor Documentation

template<classT>
ACE_INLINE ACE_DLList< T >::ACE_DLList<T> ( | ACE_Allocator * alloc = 0 )

| Delegates to ACE_Double_Linked_List.

template<classT>
ACE_INLINE ACE_DLList< T >::ACE_DLList<T> ( | const ACE_DLList< T >& l )

| Delegates to ACE_Double_Linked_List.

template<classT>
ACE_INLINE ACE_DLList< T >::~ACE_DLList<T> ( | void )

| Deletes the list starting from the head.

## Member Function Documentation

template<classT>
T * ACE_DLList<T>::delete_head ( | void )

| Delegates to ACE_Double_Linked_List. Reimplemented from ACE_Double_Linked_List.

template<classT>
T * ACE_DLList<T>::delete_tail ( | void )

| Delegates to ACE_Double_Linked_List. Reimplemented from ACE_Double_Linked_List.

template<classT>
ACE_INLINE void ACE_DLList< T >::dump ( | void ) const

| Delegates to ACE_Double_Linked_List. Reimplemented from ACE_Double_Linked_List.

template<classT>
ACE_INLINE int ACE_DLList< T >::get ( | T *& item,
| size_t index = 0 )

| Delegates to , but where returns the node as the item, this get returns the contents of the node in item. Reimplemented from ACE_Double_Linked_List.

template<classT>
T * ACE_DLList<T>::insert_head ( | T * new_item )

| Delegates to ACE_Double_Linked_List. Reimplemented from ACE_Double_Linked_List.

template<classT>
T * ACE_DLList<T>::insert_tail ( | T * new_item )

| Delegates to ACE_Double_Linked_List. Reimplemented from ACE_Double_Linked_List.

template<classT>
ACE_INLINE void ACE_DLList< T >::operator= ( | const ACE_DLList< T >& l )

| Delegates to ACE_Double_Linked_List.

template<classT>
ACE_INLINE int ACE_DLList< T >::remove ( | ACE_DLList_Node * n )

| Delegates to ACE_Double_Linked_List.

## Friends And Related Function Documentation

template<classT>
class ACE_DLList_Iterator`[friend]`

template<classT>
class ACE_DLList_Node`[friend]`

template<classT>
class ACE_DLList_Reverse_Iterator`[friend]`

template<classT>
class ACE_Double_Linked_List_Iterator`[friend]`

| Reimplemented from ACE_Double_Linked_List.

The documentation for this class was generated from the following files:

- Containers_T.h
- Containers_T.cpp
- Containers_T.i